Subject: [MEXT] FW: Summary for the changes in hiopt-13

From: Jari Arkko <[email-masked]>
Date: Tue, 15 Apr 2008 11:17:16 +0300

FYI: This draft has progressed through the IESG and is about to be
approved. The latest set of changes is as follows:

Unless I hear objections in the next few days I will send out an
approval notice.

Jari

Heejin Jang wrote:
> Hi, Jari.
>
> The authors has submitted a new version of document, draft-ietf-mip6-hiopt-13.txt.
> As a result of comments from Suresh, Pasi and Alfred, there were changes as below.
>
> 1)  Dynamic discovery for dual-stacked HA was added.
> - a new reference for RFC3344 (Mobile IPv4) was added 
> - a sub-option for FQDN (Sub-opt-code 5) was extended so that the MN can know
> the provided HA is only for MIP6 or for dual-stacked.
> - IANA section was changed to indicate a Dual-stack information in the sub-option for FQDN. 
>
> 2)  Merge a previous MIP6 Relay Agent sub-option & a Home Network 
> Information sub-option to  a Common sub-option
> - delete a MIP6 Relay agent sub-option and define a common option 
>   (Section 3.1.1 and 3.2.1 were integrated into Section 3.3)
> - modification of sub-opt-code definition in the body and IANA section.
>
> 3) Etc
> - To place multiple options and in the order of preference in the Home Network 
>   Information option.
> - Reference to <draft-ietf-dime-mip6-integrated-08> in the informative refereces
> - Editorial revisions
>
> Thanks for your patience and kind help.
>
> - Best regards, 
> Heejin 

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: "Premec, Domagoj" <[email-masked]>
Date: Tue, 15 Apr 2008 11:26:48 +0200

Hi Jari, Heejin,

>   A Value of 0 in the Dual-stack field indicates
>   that the home agent specified by the following FQDN supports only
>   Mobile IPv6.  A value of 1 means that the home agent supports both
>   Mobile IPv6 and Mobile IPv4. 

I would have expected that the dual stack support means support for DSMIP6. Anyway, now that we can indicate that the HA supports MIP4, I think it would be useful to add another bit indicating support for DSMIP6?

Also the IPv4 home address/subnet option would be useful, otherwise the DSMIP6 MN on the home link would have to run IKE (or even BU/Back) to learn its IPv4 HoA.

regards
domagoj

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jari Arkko
> Sent: 15. travanj 2008 10:17
> To: [email-masked]
> Subject: [MEXT] FW: Summary for the changes in hiopt-13
> 
> FYI: This draft has progressed through the IESG and is about 
> to be approved. The latest set of changes is as follows:
> 
> Unless I hear objections in the next few days I will send out 
> an approval notice.
> 
> Jari
> 
> Heejin Jang wrote:
> > Hi, Jari.
> >
> > - a sub-option for FQDN (Sub-opt-code 5) was extended so 
> that the MN 
> > can know the provided HA is only for MIP6 or for dual-stacked.
> > - Reference to <draft-ietf-dime-mip6-integrated-08> in the 
> informative 
> > refereces
> > - Editorial revisions
> >

---

From: Jari Arkko <[email-masked]>
Date: Tue, 15 Apr 2008 14:16:18 +0300

> I would have expected that the dual stack support means support for DSMIP6. Anyway, now that we can indicate that the HA supports MIP4, I think it would be useful to add another bit indicating supp…

This is actually a problem in -13 (I reviewed it myself after sending
out the mail this morning).

I think we need to be able to indicate (a) FQDNs, (b) IPv6 addresses, or
(c) IPv4 addresses. DNS is quite capable of resolving an FQDN to either
IPv4 or IPv6 addresses or both... no flags needed.

And I think this draft should only focus on Mobile IPv6. We get the
Mobile IPv6 home agent's addresses (be it v4 or v6), not something else...

Jari

---

From: Hesham Soliman <[email-masked]>
Date: Tue, 15 Apr 2008 21:24:03 +1000

On 15/04/2008, at 9:16 PM, Jari Arkko wrote:
>
>> I would have expected that the dual stack support means support for  
>> DSMIP6. Anyway, now that we can indicate that the HA supports MIP4,  
>> I think it would be useful to add another bit indicating support  
>> for DSMIP6?
>>
>

=> Agreed.

Hesham

---

From: "George Tsirtsis" <[email-masked]>
Date: Tue, 15 Apr 2008 13:43:15 +0100

I am a bit confused with the discussion about MIPv4. This draft is
only about MIPv6 is it not?
In which case support for DualStack-MIPv6 (DSMIPv6) is indicated
indirectly by either the FQDN returning A as well as AAAA records for
the HA, or by the fact that an IPv4 address netowork parameter is
included in the DHCP message. For this reason no flags are needed.

Is the above correct?

George

---

From: Jari Arkko <[email-masked]>
Date: Tue, 15 Apr 2008 15:51:41 +0300

> only about MIPv6 is it not?

MIPv6 only.

> included in the DHCP message. For this reason no flags are needed.

Yes.

I've asked for a new draft revision to fix this...

Jari